#
# Conditional build:
%bcond_without	static_libs	# don't build static library

Summary:	Library for building efficient parsers
Summary(pl.UTF-8):	Biblioteka do tworzenia wydajnych analizatorów
Name:		libparserutils
Version:	0.2.1
Release:	1
License:	MIT
Group:		Libraries
Source0:	http://download.netsurf-browser.org/libs/releases/%{name}-%{version}-src.tar.gz
# Source0-md5:	4690e29df753e6587c579ad8cba1e048
Patch0:		%{name}-build.patch
URL:		http://www.netsurf-browser.org/projects/libparserutils/
BuildRequires:	netsurf-buildsystem >= 1.3
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
LibParserUtils is a library for building efficient parsers, written in
C. It was developed as part of the NetSurf project and is available
for use by other software under the MIT licence.

Features:
- No mandatory dependencies (iconv() implementation optional for
  enhanced charset support)
- A number of built-in character set converters
- Mapping of character set names to/from MIB enum values
- UTF-8 and UTF-16 (host endian) support functions
- Various simple data structures (resizeable buffer, stack, vector)
- A UTF-8 input stream
- Simple C API
- Portable

%description -l pl.UTF-8
LibParserUtils to napisana w C biblioteka do tworzenia wydajnych
analizatorów. Powstała jako część projektu NetSurf i jest dostępna do
użycia w innych programach na licencji MIT.

Cechy:
- brak obowiązkowych zależności (opcjonalnie: implementacja iconv() do
  obsługi rozszerzonych zestawów znaków)
- wiele wbudowanych konwerterów zestawów znaków
- odwzorowanie nazw zestawów znaków na/z wartości enum MIB
- funkcje obsługujące UTF-8 i UTF-16 (o kolejności bajtów zgodnej z
  procesorem)
- różne proste struktury danych (bufor o zmiennym rozmiarze, stos,
  wektor)
- strumień wejściowy UTF-8
- proste API dla języka C
- przenośność

%package devel
Summary:	libparserutils library headers
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki libparserutils
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
This package contains the include files and other resources you can
use to incorporate libparserutils into applications.

%description devel -l pl.UTF-8
Pliki nagłówkowe pozwalające na używanie biblioteki libparserutils w
swoich programach.

%package static
Summary:	libparserutils static library
Summary(pl.UTF-8):	Statyczna biblioteka libparserutils
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
This is package with static libparserutils library.

%description static -l pl.UTF-8
Statyczna biblioteka libparserutils.

%prep
%setup -q
%patch0 -p1

%build
export CC="%{__cc}"
export CFLAGS="%{rpmcflags} %{rpmcppflags}"
export LDFLAGS="%{rpmldflags}"

%{__make} \
	Q= \
	PREFIX=%{_prefix} \
	LIBDIR=%{_lib} \
	COMPONENT_TYPE=lib-shared

%if %{with static_libs}
%{__make} \
	Q= \
	PREFIX=%{_prefix} \
	LIBDIR=%{_lib} \
	COMPONENT_TYPE=lib-static
%endif

%install
rm -rf $RPM_BUILD_ROOT
%{__make} install \
	Q= \
	PREFIX=%{_prefix} \
	LIBDIR=%{_lib} \
	COMPONENT_TYPE=lib-shared \
	DESTDIR=$RPM_BUILD_ROOT

%if %{with static_libs}
%{__make} install \
	Q= \
	PREFIX=%{_prefix} \
	LIBDIR=%{_lib} \
	COMPONENT_TYPE=lib-static \
	DESTDIR=$RPM_BUILD_ROOT
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc COPYING README
%attr(755,root,root) %{_libdir}/libparserutils.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libparserutils.so.0

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libparserutils.so
%{_includedir}/parserutils
%{_pkgconfigdir}/libparserutils.pc

%if %{with static_libs}
%files static
%defattr(644,root,root,755)
%{_libdir}/libparserutils.a
%endif
%changelog
* Sun Mar 29 2015 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/libparserutils.git;a=log;h=master

* Mon Mar 16 2015 Witold Filipczyk <witekfl@poczta.onet.pl> 9661b6b
- updated to 0.2.1

* Thu Oct 09 2014 Arkadiusz Miśkiewicz <arekm@maven.pl> a9f8441
- rel 2; warnings are acceptable now

* Sat May 10 2014 Jakub Bogusz <qboosh@pld-linux.org> 84bb8ab
- pl, package base docs

* Wed Apr 30 2014 Witold Filipczyk <witekfl@poczta.onet.pl> dc330b3
- lib.patch deleted

* Wed Apr 30 2014 Witold Filipczyk <witekfl@poczta.onet.pl> 132ccc4
- obsolete

* Tue Apr 29 2014 Witold Filipczyk <witekfl@poczta.onet.pl> 00adbae
- up to 0.2.0
- commented the lib.patch

* Sat Apr 27 2013 Elan Ruusamäe <glen@delfi.ee> 49c5c60
- use our CC, do not overwrite Makefile's CFLAGS

* Sat Apr 27 2013 Elan Ruusamäe <glen@delfi.ee> facff7d
- verbose files; package ghost soname symlink

* Sat Apr 27 2013 Elan Ruusamäe <glen@delfi.ee> c08dfa0
- fix install on lib64 systems

* Sat Apr 27 2013 witekfl <witekfl@poczta.onet.pl> 3d5e87d
- Summary

* Sat Apr 27 2013 witekfl <witekfl@poczta.onet.pl> 8b88659
- new

